# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fontspector-profile-universal"
version = "1.1.0"
authors = [
    "Simon Cozens <simon@simon-cozens.org>",
    "Felipe Sanches <juca@members.fsf.org>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Fontspector checks for OpenType font best practices"
homepage = "https://fonttools.github.io/fontspector/"
readme = false
license = "Apache-2.0"
repository = "https://github.com/fonttools/fontspector"

[lib]
name = "fontspector_profile_universal"
path = "src/lib.rs"

[dependencies.fontations]
version = "0.1.0"

[dependencies.fontspector-checkapi]
version = "1.0.0"

[dependencies.fontspector-checkhelper]
version = "1.0.0"

[dependencies.hashbrown]
version = "0.15.2"

[dependencies.humansize]
version = "2.1.3"

[dependencies.interpolatable]
version = "1.0"
features = ["fontations"]

[dependencies.itertools]
version = "0.13.0"

[dependencies.kurbo]
version = "0.11"

[dependencies.log]
version = "0.4.14"

[dependencies.serde_json]
version = "1.0"

[dependencies.tabled]
version = "0.20.0"

[dependencies.unicode-properties]
version = "0.1.3"

[dependencies.unicode_names2]
version = "1.3.0"

[target.'cfg(not(target_family = "wasm"))'.dependencies.freetype-rs]
version = "0"
features = ["bundled"]

[target.'cfg(not(target_family = "wasm"))'.dependencies.reqwest]
version = "0.12"
features = ["blocking"]
